[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoGetCopies

Performs actions needed to get the number of copies currently set for the print device.

## Declaration

Source position: printers.pas line 280

`protected function TPrinter.DoGetCopies: Integer; virtual;`

## Function result

Number of copies currently in use.

## Description

DoGetCopies is a virtual Integer function used to perform actions needed to get the number of copies currently set for the print device. DoGetCopies is called when the value for the Copies property is read.

Remark: | In TPrinter, DoGetCopies always returns the value 1. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used to implement the printer capability.

## See also

TPrinter.Copies |  | Number of Copies of the current document.